Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-63664

Active Directory Plugin Fall-back user function not work

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Labels:
    • Environment:
      OS version: RHEL7.8
      Jenkins version: 2.193.2
      Plugin version:Active Directory 2.16
      openJDK version 1.8.0_252
    • Similar Issues:
    • Released As:
      active-directory-2.19

      Description

      I installed the lastest Acitve Directory plugin version 2.16, but it seems the useful Fall-back user function not work. My test flow attached in a test case document below. I have checked my configuration many times, and the plugin page, but can't find any clue that any thing mismatched that can cause this problem. Would you please check this issue and give me a respond? Thanks a lot. 

        Attachments

          Activity

          Hide
          fbelzunc Félix Belzunce Arcos added a comment -

          Thanks for submitting this ticket.

          To use the fallback user you will need to use active-directory-2.19 that I just released. Also, I think you might have misunderstood how to use this feature... For this reason, I updated the docs to give more information.

          https://github.com/jenkinsci/active-directory-plugin#fall-back-user

          Show
          fbelzunc Félix Belzunce Arcos added a comment - Thanks for submitting this ticket. To use the fallback user you will need to use active-directory-2.19 that I just released. Also, I think you might have misunderstood how to use this feature... For this reason, I updated the docs to give more information. https://github.com/jenkinsci/active-directory-plugin#fall-back-user
          Hide
          stellahan Stella Han added a comment -

          I tried to install the lastest Active Directory Plugin, but it seem always downloaded the version of 2.16 not the 2.19, would you please have a check? Thank you.

          Show
          stellahan Stella Han added a comment - I tried to install the lastest Active Directory Plugin, but it seem always downloaded the version of 2.16 not the 2.19, would you please have a check? Thank you.
          Hide
          fbelzunc Félix Belzunce Arcos added a comment -

          hello, 2.16 requires <jenkins.version>2.60.3</jenkins.version>, when 2.19 requires <jenkins.version>2.235.5</jenkins.version>. You wll need to upgrade to pick up the fixes.

          Show
          fbelzunc Félix Belzunce Arcos added a comment - hello, 2.16 requires <jenkins.version>2.60.3</jenkins.version>, when 2.19 requires <jenkins.version>2.235.5</jenkins.version>. You wll need to upgrade to pick up the fixes.

            People

            Assignee:
            fbelzunc Félix Belzunce Arcos
            Reporter:
            stellahan Stella Han
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: